Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.devel
Class javaViewer

    java.lang.Object
      org.makumba.devel.LineViewer
          org.makumba.devel.javaViewer

All Implemented Interfaces:
  SourceViewer

    public class javaViewer

extends LineViewer

the java viewer. It should be a filter from another (mb third-party) viewer that links known .java and .mdd sources. See SourceViewServlet for the filter architecture

Version:
  $Id: javaViewer.java 3595 2009-01-08 00:07:57Z rosso_nero $
Author:
  Stefan Baebler, Rudolf Mayer

Field Summary
`static Map<String,String>` | `javaSyntaxProperties`

Fields inherited from class org.makumba.devel.LineViewer
`caughtError, codeBackgroundStyle, contextPath, dir, hideLineNumbers, importedClasses, importedPackages, jspClasspath, jspSourceViewExtension, logicPath, PARAM_HIDE_LINES, printHeaderFooter, printLineNumbers, reader, realPath, request, searchCompiledJSPClasses, searchJavaClasses, searchJSPPages, searchMDD, servletPath, title, virtualPath`

Constructor Summary
`javaViewer(HttpServletRequest req)`

Method Summary
`void` | `intro(PrintWriter w)` Write the page header to the given writer.
`String` | `parseLine(String s)` Utilises the super-class' method, and performs additionally syntax highlighting for java keywords.
`void` | `parseText(PrintWriter writer)` parse the text and write the output

Methods inherited from class org.makumba.devel.LineViewer
`addImportedPackages, findClass, findClassSimple, findCompiledJSP, findPage, footer, formatClassLink, formatClassLink, formatJSPLink, formatMakumbaLink, formatMDDLink, formatSunTaglibLink, getDirectory, getLineTag, getLineTokenizer, getReader, htmlEscape, main, printFileRelations, printLine, printPageBegin, printPageBeginAdditional, printPageEnd, printVersionControlLink, readFromURL, setSearchLevels, writeAdditionalLinks`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### javaSyntaxProperties

    public static Map<String,String> javaSyntaxProperties

Constructor Detail

### javaViewer

    public javaViewer(HttpServletRequest req)
               throws Exception

Throws:
  `Exception`

Method Detail

### parseLine

    public String parseLine(String s)

  Utilises the super-class' method, and performs additionally syntax highlighting for java keywords.

  Overrides:
    `parseLine` in class `LineViewer`
  Parameters:
    `s` - the unformatted code line.
  Returns:
    The formatted code line.
  See Also:
    `LineViewer.parseLine(java.lang.String)`

### parseText

    public void parseText(PrintWriter writer)
                   throws IOException

  parse the text and write the output

  Specified by:
    `parseText` in interface `SourceViewer`
  Overrides:
    `parseText` in class `LineViewer`
  Throws:
    `IOException`

### intro

    public void intro(PrintWriter w)

  Description copied from class: `LineViewer`
  Write the page header to the given writer.

  Overrides:
    `intro` in class `LineViewer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20